/**
 * @description: Request list interface parameters
 */
export type OfficeListParams = { category?: string }

export interface OfficeListItem {
  cid: string
  defult: string
  districtid: string
  title: string
}

export interface CategoriedStaffItem {
  value: string
  label: string
}

export interface CategoriedStaffResult {
  sid: string
  username: string
}
/**
 * @description: Request list return value
 */
export type OfficeListGetResultModel = { category: OfficeListItem[]; staff: CategoriedStaffResult[] }
