/**
 * @description: Login interface parameters
 */
export interface LoginParams {
  staffName: string
  password: string
}

/**
 * @description: Get user information
 */
export interface GetUserInfoByUserIdParams {
  code: string | number
}

export interface RoleInfo {
  roleName: string
  value: string
}

/**
 * @description: Login interface return value
 */
export interface LoginResultModel {
  userId: string | number
  token: string
  role: RoleInfo
}

/**
 * @description: Get user information return value
 */
export interface GetUserInfoModel {
  username: string
  id: string
  roles: string[]
  isAdmin: number
  staffId: string
}
